#

Function MACHINE-TYPE

Syntax:

machine-type <no arguments> => description

Arguments and Values:

description---a string or nil.

Description:

Returns a string that identifies the generic name of the computer hardware on which Common Lisp is running.

Examples:

     (machine-type)
    =>  "DEC PDP-10"
    OR=>  "Symbolics LM-2"

Side Effects: None.

Affected By:

The machine type. The implementation.

Exceptional Situations: None.

See Also:

machine-version

Notes: None.

Copyright 1996-2005, LispWorks Ltd. All rights reserved.